次の方法で共有


Managed Environment Private Link Resources - List

特定のマネージド環境のプライベート リンク リソースを一覧表示します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/privateLinkResources?api-version=2026-01-01

URI パラメーター

名前 / 必須 説明
environmentName
path True

string

pattern: ^[-\w\._\(\)]+$

マネージド環境の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

PrivateLinkResourceListResult

[OK]

Other Status Codes

ErrorResponse

エラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

要求のサンプル

GET https://management.azure.com/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/managedEnv/privateLinkResources?api-version=2026-01-01

応答のサンプル

{
  "value": [
    {
      "id": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/managedEnv/privateLinkResources/managedEnvironments",
      "name": "managedEnvironments",
      "properties": {
        "groupId": "managedEnvironments",
        "requiredMembers": [
          "managedEnvironments"
        ],
        "requiredZoneNames": [
          "privatelink.northcentralusstage.azurecontainerapps.io"
        ]
      },
      "type": "Microsoft.App/managedEnvironments/privateLinkResources"
    }
  ]
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

PrivateLinkResource

プライベート リンク リソース

PrivateLinkResourceListResult

プライベート リンク リソースの一覧

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

PrivateLinkResource

プライベート リンク リソース

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.groupId

string

プライベート リンク リソース グループ ID。

properties.requiredMembers

string[]

プライベート リンク リソースに必要なメンバー名。

properties.requiredZoneNames

string[]

プライベート リンク リソースのプライベート リンク DNS ゾーン名。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

PrivateLinkResourceListResult

プライベート リンク リソースの一覧

名前 説明
nextLink

string (uri)

操作リストの結果の次のセットを取得する URL (ある場合)。

value

PrivateLinkResource[]

プライベート リンク リソースの配列

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。